com.sun.syndication.io.impl

## Class ModuleGenerators

- java.lang.Object
- - com.sun.syndication.io.impl.PluginManager
  - - com.sun.syndication.io.impl.ModuleGenerators

    public class ModuleGenerators
    extends PluginManager

### Constructor Summary

Constructors
Constructor and Description
`ModuleGenerators(java.lang.String propertyKey, BaseWireFeedGenerator parentGenerator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generateModules(java.util.List modules, org.jdom.Element element)`
`java.util.Set` `getAllNamespaces()`
`ModuleGenerator` `getGenerator(java.lang.String uri)`
`protected java.lang.String` `getKey(java.lang.Object obj)`
`java.util.List` `getModuleNamespaces()`

### Methods inherited from class com.sun.syndication.io.impl.PluginManager

`getKeys, getPlugin, getPluginMap, getPlugins`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleGenerators

    public ModuleGenerators(java.lang.String propertyKey,
                            BaseWireFeedGenerator parentGenerator)

### Method Detail

#### getGenerator

    public ModuleGenerator getGenerator(java.lang.String uri)

#### getKey

    protected java.lang.String getKey(java.lang.Object obj)

Specified by:
  `getKey` in class `PluginManager`

#### getModuleNamespaces

    public java.util.List getModuleNamespaces()

#### generateModules

    public void generateModules(java.util.List modules,
                                org.jdom.Element element)

#### getAllNamespaces

    public java.util.Set getAllNamespaces()